<form (ngSubmit)="Register()" novalidate [formGroup]="myForm">
    <p>Email:</p>
    <input type="text" placeholder="Email" formControlName="userEmail">
    <div class="exception-text"
        *ngIf="myForm.controls['userEmail'].invalid && myForm.controls['userEmail'].touched">
            Incorrect form of email!
    </div>
    <p>Username:</p>
    <input type="text" placeholder="Username" formControlName="userName">
    <div class="exception-text"
        *ngIf="myForm.controls['userName'].invalid && myForm.controls['userName'].touched">
            Name must contains only letters and be at least 3 characters long!
    </div>
    <p>Password:</p>
    <input type="password" placeholder="Password" formControlName="userPassword">
    <div class="exception-text"
        *ngIf="myForm.controls['userPassword'].invalid && myForm.controls['userPassword'].touched">
            Incorrect form of password!
    </div>
    <div class="exception-text" *ngIf="myForm.controls['userPassword'].errors?.minlength">
        Password must be at least 3 characters long.
   </div>
    <button type="submit">Register</button>
    <div class="exception-text" *ngIf="error">
        {{error}}
    </div>
</form>